Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class StackMap

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.StackMap

All Implemented Interfaces:
  Serializable, Cloneable

    public final class StackMap

extends Attribute

This class represents a stack map attribute used for preverification of Java classes for the Java 2 Micro Edition (J2ME). This attribute is used by the KVM and contained within the Code attribute of a method. See CLDC specification §5.3.1.2

Version:
  $Id: StackMap.java 1377533 2012-08-26 22:22:59Z markt $
Author:
  M. Dahm
See Also:
  `Code`, `StackMapEntry`, `StackMapType`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`StackMap(int name_index, int length, StackMapEntry[] map, ConstantPool constant_pool)`

Method Summary
`Attribute` `copy(ConstantPool _constant_pool)`
`void` `setStackMap(StackMapEntry[] map)`
`String` `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackMap

    public StackMap(int name_index,
                    int length,
                    StackMapEntry[] map,
                    ConstantPool constant_pool)

Method Detail

### setStackMap

    public final void setStackMap(StackMapEntry[] map)

  Parameters:
    `map` - Array of stack map entries

### toString

    public final String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation.

### copy

    public Attribute copy(ConstantPool _constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.